#include <bits/stdc++.h>
#define MAXN 200005
#define pb push_back
#define mp make_pair
#define all(x) x.begin(),x.end()
using namespace std;

int bit[MAXN],niz[MAXN],event[MAXN];
int res;
vector<int> svi;


void dodaj(int p,int x){
    for(;p<MAXN;p+=(-p)&p)
        bit[p]+=x;
}
int dobij(int p){
    int z=0;
    for(;p>0;p-=(-p)&p)
        z+=bit[p];
    return z;
}

int Resi(int n,int *a,int *b){
    for(int i=n;i>=1;i--){
        a[i]=a[i-1]+1;
        b[i]=b[i-1]+1;
    }
    for(int i=1;i<=n;i++){
        event[a[i]]=i;
        event[b[i]]=-i;
    }
    for(int i=1;i<=n+n;i++){
        if(event[i]<0){
            dodaj(b[-event[i]],-1);

        }else{
            res+=min(dobij(b[event[i]]) , dobij(MAXN-1)-dobij(b[event[i]]) );
            dodaj(b[event[i]],1);
        }


    }
    return res;


}